Bug 202331 - misc/lesspipe: upgrade to 1.83
Summary: misc/lesspipe: upgrade to 1.83
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-14 19:41 UTC by eserte12
Modified: 2015-09-03 10:05 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (slaven)


Attachments
diff for upgrade (887 bytes, patch)
2015-08-14 19:41 UTC, eserte12
no flags Details | Diff
amended diff (1.65 KB, patch)
2015-08-16 12:24 UTC, eserte12
eserte12: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description eserte12 2015-08-14 19:41:24 UTC
Created attachment 159875 [details]
diff for upgrade
Comment 1 Dmitry Marakasov freebsd_committer 2015-08-16 11:41:49 UTC
While here, Slaven, what is that bunch of BUILD_DEPENDS there for? Also this seems to be missing run-dependency on bash.
Comment 2 eserte12 2015-08-16 12:24:07 UTC
Created attachment 159919 [details]
amended diff

Formerly, lesspipe's configure included the various file type handling code only if the handler program was available during configure run time. But I see that there's a --yes option which makes this unnecessary.

Added also bash as a runtime dependency.
Comment 3 commit-hook freebsd_committer 2015-09-03 10:05:40 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Sep  3 10:05:03 UTC 2015
New revision: 395941
URL: https://svnweb.freebsd.org/changeset/ports/395941

Log:
  - Update to 1.83
  - Add LICENSE
  - Cleanup the port
  - While here, add NO_ARCH

  PR:		202331
  Submitted by:	eserte12@yahoo.de
  Approved by:	maintainer timeout (slaven@rezic.de, 2 weeks)

Changes:
  head/misc/lesspipe/Makefile
  head/misc/lesspipe/distinfo